Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface MixedLockLevels

All Superinterfaces:
  LockLevels

    public interface MixedLockLevels

extends LockLevels

Defines lock levels used for MixedLockManager.

Since:
  2.0.0
Author:
  Albert Lee

Field Summary
`static int` | `LOCK_OPTIMISTIC` Generic optimistic read lock level.
`static int` | `LOCK_OPTIMISTIC_FORCE_INCREMENT` Generic optimistic write lock level.
`static int` | `LOCK_PESSIMISTIC_FORCE_INCREMENT` Generic pessimistic force increment level.
`static int` | `LOCK_PESSIMISTIC_READ` Generic pessimistic read lock level.
`static int` | `LOCK_PESSIMISTIC_WRITE` Generic pessimistic write lock level.

Fields inherited from interface org.apache.openjpa.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Field Detail

### LOCK_OPTIMISTIC

    static final int LOCK_OPTIMISTIC

  Generic optimistic read lock level. Value of 15.

  See Also:
    Constant Field Values

### LOCK_OPTIMISTIC_FORCE_INCREMENT

    static final int LOCK_OPTIMISTIC_FORCE_INCREMENT

  Generic optimistic write lock level. Value of 25.

  See Also:
    Constant Field Values

### LOCK_PESSIMISTIC_READ

    static final int LOCK_PESSIMISTIC_READ

  Generic pessimistic read lock level. Value of 30.

  See Also:
    Constant Field Values

### LOCK_PESSIMISTIC_WRITE

    static final int LOCK_PESSIMISTIC_WRITE

  Generic pessimistic write lock level. Value of 40.

  See Also:
    Constant Field Values

### LOCK_PESSIMISTIC_FORCE_INCREMENT

    static final int LOCK_PESSIMISTIC_FORCE_INCREMENT

  Generic pessimistic force increment level. Value of 50.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.